<div
  #bbTag
  class="bb-tag"
  [class.on-top]="isOnTop"
  [style]="initialPositionStyle"
  mwlResizable
  [enableGhostResize]="true"
  (resizeEnd)="onResizeEnd($event)"
  (click)="getElemetTop(index)"
  cdkDrag
  cdkDragBoundary=".image-canvas"
  (cdkDragEnded)="dragEnded($event)"
>
  <div
    class="resize-handle-top"
    mwlResizeHandle
    [resizeEdges]="{ top: true }"
  ></div>
  <div
    class="resize-handle-left"
    mwlResizeHandle
    [resizeEdges]="{ left: true }"
  ></div>
  <div
    class="resize-handle-right"
    mwlResizeHandle
    [resizeEdges]="{ right: true }"
  ></div>
  <div
    class="resize-handle-bottom"
    mwlResizeHandle
    [resizeEdges]="{ bottom: true }"
  ></div>

  <div class="bb-handle" cdkDragHandle>
    <svg width="24px" fill="currentColor" viewBox="0 0 24 24">
      <path
        d="M10 9h4V6h3l-5-5-5 5h3v3zm-1 1H6V7l-5 5 5 5v-3h3v-4zm14 2l-5-5v3h-3v4h3v3l5-5zm-9 3h-4v3H7l5 5 5-5h-3v-3z"
      ></path>
      <path d="M0 0h24v24H0z" fill="none"></path>
    </svg>
  </div>
  <div class="bb-close">
    <button (click)="closeBoundingBoxHandle(index)" mat-icon-button>
      <mat-icon>cancel</mat-icon>
    </button>
  </div>
</div>
